__gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare > Class Template Reference

`#include <losertree.h>`

Inheritance diagram for __gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare >:
[legend]

## Public Member Functions

| _LoserTreeUnguarded (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
void | __delete_min_insert (_Tp __key, bool)
int | __get_min_source ()
void | __init ()
unsigned int | __init_winner (unsigned int __root)
void | __insert_start (const _Tp &__key, int __source, bool)

## Protected Attributes

unsigned int | _M_ik
unsigned int | _M_offset

## Detailed Description

template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare >

Non-Stable implementation of unguarded _LoserTree.

Stable implementation is above.

Definition at line 734 of file losertree.h.

## Constructor & Destructor Documentation

## _LoserTreeUnguarded()

template<typename _Tp , typename _Compare >

__gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare >::_LoserTreeUnguarded | ( | unsigned int | __k,
|  | const _Tp & | __sentinel,
|  | _Compare | __comp = `std::less<_Tp>()`
| ) |  |

inline

Definition at line 743 of file losertree.h.

## Member Function Documentation

## __delete_min_insert()

template<typename _Tp , typename _Compare >

void __gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare >::__delete_min_insert | ( | _Tp | __key,
|  | bool |
| ) |  |

inline

Definition at line 795 of file losertree.h.

## __get_min_source()

template<typename _Tp , typename _Compare >

int __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >::__get_min_source | ( |  | ) |

inline inherited

Definition at line 621 of file losertree.h.

## __init()

template<typename _Tp , typename _Compare >

void __gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare >::__init | ( |  | ) |

inline

Definition at line 781 of file losertree.h.

## __init_winner()

template<typename _Tp , typename _Compare >

unsigned int __gnu_parallel::_LoserTreeUnguarded< false, _Tp, _Compare >::__init_winner | ( | unsigned int | __root | ) |

inline

Definition at line 749 of file losertree.h.

## __insert_start()

template<typename _Tp , typename _Compare >

void __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >::__insert_start | ( | const _Tp & | __key,
|  | int | __source,
|  | bool |
| ) |  |

inline inherited

Definition at line 631 of file losertree.h.

## Member Data Documentation

## _M_ik

template<typename _Tp , typename _Compare >

unsigned int __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >::_M_ik

protected inherited

Definition at line 583 of file losertree.h.

## _M_offset

template<typename _Tp , typename _Compare >

unsigned int __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >::_M_offset

protected inherited

Definition at line 583 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h